Bug 111812 - keys of french keyboard not defined when using tcsh shell
keys of french keyboard not defined when using tcsh shell
Product: Fedora
Classification: Fedora
Component: tcsh (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2003-12-10 09:49 EST by Ana Palacios
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-17 04:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ana Palacios 2003-12-10 09:49:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)

Description of problem:

I have installed Fedora Core 1 on my laptop (a Medion MD 7438, athlon 
2200+, RAM 512MB, Nvidea GeForce 4) which has a french keyboard.
I noticed a very strange bug:

1) If I choose to work with the shell /bin/bash, all the keyboard is
well defined and recognized

 The file /etc/sysconfig/keyboard is as follows:

2) If I choose to work with the shell /bin/tcsh or /bin/csh, the
keyboard is well recognized apart from the "6,-,|" key. 
   Normally on this key, - is accessed straightforwardly, 6 is
accessed through  SHIFT and | is accessed through ALT-GR.
   What happens here is that 6 is now accessed straightforwardly, but
I loose the access to - and |, which is very annoying...
   Strangely enough, if once on the terminal I go to the menu SYSTEM
   SETTINGS of the panel, and I choose again (in the grafical way) the
   keyboard fr(pc), or even the keyboard fr, the key "6,-,|" is again
well defined.

I have tried to modify my /etc/X11/XF86config, but this doesn't change
anything given that the keyboard is well configured there.

I think this might be a bug.
I have been looking for some help on the web concerning this, but
didn't find any information.

If someone understands that and can help me...



Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Make sure you are using /bin/tcsh or /bin/csh shell on a laptop with
french keyboard
2. Open a terminal (or an xterm, it is the same) and type "-" (key
"-,6,|" in the french keyboard). You should see a "6" appear on the
screen instead of the "-"
3. Go to the menu SYSTEM SETTINGS / KEYBOARD and select the keyboard
you want, i.e. "fr (pc)" (or even "fr").
4. Going back to the terminal, type again "-". Now "-" should actually
appear on the screen
5. Now change your shell (chsh /bin/tsch --> /bin/bash) and make sure
you are now using bash shell (logout and login again if necessary)
6. Open a terminal (you should be in a bash shell now) and type "-".
You should actually see "-" appear on the screen.

Actual Results:  
key "-,6,|" not working when using shells /bin/tcsh or /bin/csh with a
french keyboard on a laptop : "6" appears instead of "-" when actually
typing "-"

Expected Results:  
This key should work (has it actually does when using bash shell) and
print "-" whne you type "-"!!!

Additional info:

Here is a copy of the lines related to keyboard configuration in my

# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "fr"
Comment 1 Miloslav Trmač 2004-08-23 11:02:35 EDT
I can't reproduce this.
Please attach:
* The output of (setxkbmap -print) right after logging in using bash
  and using tcsh
* The output of (setxkbmap -print) after changing the keyboard layout
  in redhat-config-keyboard
* The output of (bindkey) in tcsh right after logging in.

Comment 2 Miloslav Trmač 2005-04-17 04:25:28 EDT
Please reopen this report if you can reproduce the problem on a recent release
and you can provide the requested data.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.